<template>
  <v-container>
    <MobileSidebar/>
    <Controls
        :prints="prints"
        v-if="this.$vuetify.breakpoint.smAndUp"
        @openDialogBalance="dialogBalanceForm = !dialogBalanceForm"
        @openDialogBuyPrints="openDialogBuyPrints = !openDialogBuyPrints"
    />
    <v-row no-gutters justify="center">
      <v-col cols="12" lg="5" order="2" order-lg="1" class="d-flex flex-column justify-start align-center">
        <UserInfo/>
        <v-card elevation="0">
          <v-btn
              max-width="500"
              class="d-sm-block ma-sm-auto"
              :class="{'full-width-btn': $vuetify.breakpoint.xsOnly}"
              color="primary"
              @click="redirectToChat">Contact Support
          </v-btn>
        </v-card>
      </v-col>
      <v-col cols="12" lg="7" order="1" order-lg="2">
        <TimeOffer/>
      </v-col>
    </v-row>
    <v-dialog
        v-model="dialogBalanceForm"
        max-width="600px"
    >
      <v-card class="pa-12">
        <UpdateBalanceForm @closeDialog="dialogBalanceForm = !dialogBalanceForm"/>
      </v-card>
    </v-dialog>
    <v-dialog
        v-model="openDialogBuyPrints"
        max-width="600px">
      <v-card class="pa-12">
        <BuyPrintsForm @closeDialog="openDialogBuyPrints = !openDialogBuyPrints" :prints="prints"></BuyPrintsForm>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>

import TimeOffer from "../components/dashboard/TimeOffer";
import UserInfo from "../components/dashboard/UserInfo";
import UpdateBalanceForm from "../components/dashboard/UpdateBalanceForm";
import Controls from "../components/dashboard/controls/Controls";
import MobileSidebar from "../components/dashboard/MobileSidebar";
import BuyPrintsForm from "../components/dashboard/BuyPrintsForm";

export default {
  name: 'Dashboard',
  components: {TimeOffer, UserInfo, UpdateBalanceForm, Controls, MobileSidebar, BuyPrintsForm},
  data: () => ({
    dialogBalanceForm: false,
    openDialogBuyPrints: false,
    prints: [],
  }),
  created() {
    this.getPrints()
  },
  methods: {
    async getPrints() {
      try {
        const response = await this.$axios.get(`api/products/printed`)
        if (response.status === 200) {
          this.prints = response.data
          console.log(this.prints);
        }
      } catch(err) {
        console.log(err);
      }
    },
    redirectToChat() {
      this.$router.push({name: 'chat'})
    },
  }
}

</script>

<style>
.full-width-btn {
  width: 100%;
}
</style>
